<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Add a new laptop to the database</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link th:href="@{/styles/main.css}" rel="stylesheet" />
</head>
<body>

<ul>
  <li><a href="/">Home</a></li>
  <li><a href="/search">Search</a></li>
  <div th:if="${activeAccount != null and activeAccount.getClass().getName().equals('com.assignment3.Assignment3.models.Vendor')}">
    <li><a href="/addSmartphone">Add a Smartphone</a></li >
    <li><a href="/addLaptop">Add a Laptop</a></li>
  </div>
  <li th:if="${activeAccount != null}" style="float:right"><a href="/logout">Log out</a></li>
  <li th:if="${activeAccount != null}" style="float:right"><a  href="/profile" th:text="${activeAccount.getUsername()}"></a></li>
  <li th:if="${activeAccount == null}" style="float:right"><a href="/signUp">Sign up or Login</a></li>
</ul>

<br>

<form action="/addLaptop">

  <label for="laptopName">Laptop name:</label>
  <input type="text" id="laptopName" name="laptopName" required="required"><br><br>

  <label for="laptopReleaseDate">Laptop release date:</label>
  <input type="date" id="laptopReleaseDate" name="laptopReleaseDate" required="required"><br><br>

  <label for="laptopBrand">Laptop brand:</label>
  <input type="text" id="laptopBrand" name="laptopBrand" required="required"><br><br>

  <label for="laptopKeyboard">Laptop keyboard Layout:</label>
  <select name="laptopKeyboard" id="laptopKeyboard" required="required">
    <option disabled selected="selected">Choose a layout...</option>
    <option value="QWERTY">QWERTY</option>
    <option value="QWERTZ">QWERTZ</option>
    <option value="AZERTY">AZERTY</option>
  </select><br><br>

  <label for="laptopPrice">Price:</label>
  <input type="number" id="laptopPrice" name="laptopPrice" required="required"><br><br>


  <input type="submit" value="Add">
</form>

<br>

<div th:unless="${devices.isEmpty()}">
  <p>Laptop in database:</p>
  <table th:object="${devices}" id="devicesInDatabase" border="1">
    <tr>
      <th>Name</th>
      <th>Release date</th>
      <th>Brand</th>
      <th>Additional information</th>
      <th>Price</th>
      <th>Vendor</th>
    </tr>
    <tr th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Laptop')}" th:each="device :${devices}">
      <td  th:text="${device.getName()}"></td>
      <td  th:text="${device.getReleaseDate()}"></td>
      <td  th:text="${device.getBrand()}"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Smartphone')}" th:text="'Camera Mp: ' + ${device.getCamera()}"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Laptop')}" th:text="'Keyboard layout: ' + ${device.getKeyboardLayout()}"></td>
      <td th:text="${device.getPrice()} + '€'"></td>
      <td th:text="${device.getVendor}"></td>
    </tr>
  </table>
</div>

</body>
</html>